#include <stdio.h>
#include <string.h>
#include "defines.h"
#include "aiggraph.h"

int ttlhead(FILE *fp,int x,int y,int wx,int wy)
/* タイトルファイルヘッダー書き出し */
{
unchar head[68];
	head[0]=head[1]=0; /* ビットイメージタイトルの印 */
	head[2]=4; /* プレーン２に表示 */
	head[3]=8; /* プレーン３を塗り潰す */
	*(unsint *)&head[4]=0x0000; /* プレーン２のパレット */
	*(unsint *)&head[6]=0xfffe; /* プレーン３のパレット */
	
	/* シェル名 */
	memset(&head[8],0,0x34);    /* まず領域クリア */
	strcpy(&head[8],"SXWIN.X"); /* VS.Xでもいい */
	
	*(unsint *)&head[60]=x;  /* 表示Ｘ座標 */
	*(unsint *)&head[62]=y;  /* 表示Ｙ座標 */
	*(unsint *)&head[64]=wx; /* 表示Ｘ幅 */
	*(unsint *)&head[66]=wy; /* 表示Ｙ幅 */
	
	fwrite(head,68,1,fp);
	return(ferror(fp));
}
